CREATE GROUP(7)

NAME
CREATE GROUP - define a new user group

SYNOPSIS

CREATE GROUP name [ [ WITH ] option [ ... ] ]
where option can be:
     SYSID gid
   | USER  username [, ...]

DESCRIPTION

CREATE GROUP will create a new group in the database cluster. You must be a database superuser to use this command.

Use ALTER GROUP [alter_group(7)] to change a group's membership, and DROP GROUP [drop_group(7)] to remove a group.

PARAMETERS

name
    The name of the group.

gid The SYSID clause can be used to choose the PostgreSQL group ID of the new group. It is not necessary to do so, however. If this is not specified, the highest assigned group ID plus one, starting at 1, will be used as default.

username
    A list of users to include in the group. The users must already exist.

EXAMPLES

Create an empty group:

CREATE GROUP staff;

Create a group with members:

CREATE GROUP marketing WITH USER jonathan, david;

COMPATIBILITY

There is no CREATE GROUP statement in the SQL standard. Roles are similar in concept to groups.